Package org.multiverse.api.callables

## Interface TxnVoidCallable

-     public interface TxnVoidCallable

  A transactional callable contains the logic that needs to be executed transactionally and normally is executed by the `TxnExecutor`. This transactional callable is optimized for returning void. Useful if no value needs to be returned.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(Txn txn)` | Executes the callable.

- - ### Method Detail

    - #### call

          void call​(Txn txn)
             throws Exception

      Executes the callable.
      Parameters:
        `txn` - the Transaction. Depending on the txn `PropagationLevel`, this could be null.
      Throws:
        `Exception` - if unable to compute a result